#include "descriptor/descriptor.h"

int main(void)
{
        
        ITEM    piroli, vitine;
        
        ITEM    paletta, manico, manico_front, tasti;
                
        ITEM    corde;
        
        ITEM	pennacchio, cassa, base;

        ITEM	ponte;

	ITEM    marmo, vetro, parete, legno, legno_scuro, metallo, plast_nera, vetro2, metallo2;

	ITEM	pavimento, specchio, piramide, par;

        ITEM    scena;
        
	
/**	Parametri globali	**/

	set_background(0.98,0.98,0.6,TRUE);
	set_ambient_light(1,1,1,1);
	create_point_light(11,15,20,1.0,1.0,1.0,5,100, "light1");
	create_warn_light(1,0,10,-1.5,0,-10,1,1,1,5,25,1,0.25,FALSE,0,0,0,0,"light2");

	
/**	Attributi globali	**/


	vetro = create_attribute("vetro");
        set_color(vetro,1,1,1,0,0);
        set_reflectivity(vetro,0.8,10);

	vetro2 = create_attribute("vetro2");
	set_color(vetro2,0.8,0.8,0.8,0.5,0.5);
        set_reflectivity(vetro2,0,1);
        set_transparency(vetro2,1,0.5,1,1.80);
        
	marmo = create_attribute("marmo");
        set_color(marmo,0.4,0.4,0.8,0.5,0.5);
        set_reflectivity(marmo,0.08,4);

	parete = create_attribute("parete");
        set_color(parete,0.6,0.5,0.3,0.4,0.4);
        set_reflectivity(parete,0.08,15);
	
	legno = create_attribute("legno");
	set_color(legno,0.45,0.25,0.15,0.5,0.5);
        set_reflectivity(legno,0.070,2);

	legno_scuro = create_attribute("legno_scuro");
	set_color(legno_scuro,0.25,0.1,0.1,0.5,0.5);
        set_reflectivity(legno_scuro,0.050,2);

	
	metallo = create_attribute("metallo");
        set_color(metallo,0.6,0.6,0.6,0.85,0.85);
        set_reflectivity(metallo,0.280,2);

	metallo2 = create_attribute("metallo2");
	set_color(metallo2,0.3,0.3,0.3,0.1,0.1);
	set_reflectivity(metallo2,0.50,2);

        
        plast_nera = create_attribute("plast_nera");
        set_color(plast_nera,0.0,0.0,0.0,0.5,0.5);

	
        

/**	Pavimento e specchio	**/
	
	pavimento = read_nurbs("pavimento.db");
	set_attribute(pavimento,marmo);

	specchio = read_nurbs("specchio.db");
	set_attribute(specchio,vetro);

	
/**	Base	**/
	
	base = read_obj("base.obj", "base");
	set_attribute(base,metallo2);
	

/**	Piramide	**/
	
	piramide = read_nurbs("piramide.db");
	set_attribute(piramide,vetro2);


/**	Parete	**/
	
	par = read_nurbs("parete.db");
	set_attribute(par,parete);
	
	
/**	Piroli	**/
	
        piroli = read_obj("piroli.obj", "piroli");
	set_attribute(piroli,metallo2);

	
/**	Vitine	**/
	
	vitine = read_obj("vitine.obj", "vitine");
	set_attribute(vitine,metallo2);

	
/**	Tasti	**/
	
	tasti = read_obj("tasti.obj", "tasti");
	set_attribute(tasti,metallo2);

	
/**	Paletta	**/
	
	paletta = read_obj("paletta.obj", "paletta");
	set_attribute(paletta,legno);

	
/**	Manico	**/
	
	manico = read_obj("manico.obj", "manico");
	set_attribute(manico,legno);      

	manico_front = read_obj("manico_front.obj", "manico_front");
	set_attribute(manico_front,legno_scuro);

	
/**	Corde	**/
	
	corde = read_obj("corde.obj", "corde");
	set_attribute(corde,metallo);

	
/**	Pennacchio	**/
	
        pennacchio = read_obj("pennacchio.obj", "pennacchio");
	set_attribute(pennacchio,legno);

	
/**	Cassa	**/
	
        cassa = read_obj("cassa.obj", "cassa");
	set_attribute(cassa,legno);

	
/**	Ponticello	**/
        
        ponte = read_obj("ponte.obj", "ponte");
	set_attribute(ponte,plast_nera);
	
	
/**	Scena globale	**/

        scena = create_list(piroli,"scena");
        scena = insert_in_list(scena,paletta);
        scena = insert_in_list(scena,manico);
	scena = insert_in_list(scena,manico_front);
        scena = insert_in_list(scena,corde);
        scena = insert_in_list(scena,pennacchio);
        scena = insert_in_list(scena,cassa);
        scena = insert_in_list(scena,ponte);
	scena = insert_in_list(scena,tasti);
	scena = insert_in_list(scena,vitine);
	scena = insert_in_list(scena,pavimento);
	scena = insert_in_list(scena,specchio);
	scena = insert_in_list(scena,base);
	scena = insert_in_list(scena,par);
	scena = insert_in_list(scena,piramide);
        save_scene("myguitar.md","myguitar",scena);
        return(0);
}


